.header{
	padding: 10px 0;
	position: absolute;
	z-index: 2;
	width: 100%;
    transition: background-color .3s ease-out;
    &__is-expanded{
        background-color: rgba($mainBlue, .55);
    }
    @mixin atMedium
    {
        position: fixed;
        background-color: rgba($mainBlue, .3);
        
        &__dark{
            background-color: rgba(23, 51, 72, .85);
        }
    }

	&__btn-container{
        
        @mixin atMedium{
		    float: right;
        }
	}
	&__logo{
		position: absolute;
		background-color: $mainBlue;
		padding: 25px 35px;
		top: 0;
        left: 50%;
        transform: translateX(-50%) scale(0.8);/*scale is how much you want to increase or decrease the size of content, default is 1*/
        transform-origin: 50% 0;/*The default value of transform-origin is 50% 50% i.e transform it to center so if we keep 2nd vale as 0 then it wont transform from y-axis*/
        
        transition: transform .3s ease-out;
		&-text{
			text-indent: -9999px;
			margin: 0;
		}
        @mixin atMedium{
            left: auto;
            transform: translateX(0);
            
            .header__dark &{
                transform: scale(.57);
            }
        }
	}
    &__menu-container{
        opacity: 0;
        z-index: -10;
        position: relative;
        transform: scale(1.2);
        transition: all .3s ease-out;
        padding-top: 100px;
        text-align: center;
            
        @mixin atMedium{
            opacity: 1;
            padding: 0;
            transform: scale(1);
            z-index: 1;
        }
        
        &__is-visible{
            opacity: 1;
            transform: scale(1);
            z-index: 1;
        }
    } 
    
    &__menu-icon{
        width: 20px;
        height: 19px;
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 10;
        
        @mixin atMedium{
            display: none;
        }
        
        &::before{
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 20px;
            height: 3px;
            background-color: #FFF;
            transform-origin: 0 100%;
            transition: all .3s ease-out;
        }
    
        &__middle-bar{
            position: absolute;
            top: 8px;
            left: 0;
            width: 20px;
            height: 3px;
            background-color: #FFF;
            transform-origin: 0 50%;
            transition: all .3s ease-out;
        }

        &::after{
            content: "";
            position: absolute;
            bottom: 0;
            left: 0;
            width: 20px;
            height: 3px;
            background-color: #FFF;
            transform-origin: 0 100%;
            transition: all .3s ease-out;
        }
        
        &__close{
            &::before{
                transform: rotate(45deg) scaleX(1.25);
            }
            
            &::after{
                transform: rotate(-45deg) scaleX(1.25) translateY(2px);
            }
            
            .header__menu-icon__middle-bar{
                opacity: 0;
                transform: scaleX(0);
            }
        }
    }
    
}